﻿
body {
	background: white;
	font-family: "Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
	font-size: 12pt;
	margin: 0px;
	min-height: 100vh;
	box-sizing: border-box;
	line-height: 22px;
	letter-spacing: 0.0px;
}

body.modal-open {
	overflow: hidden;
}

header {
	position: sticky;
	top: 0px;
	height: 80px;
	background-color: #f0f0f0;
	border-bottom: 1px solid black;
	z-index: 255;
}

header .container .account {
	grid-column-start: 3;
	margin: auto;
	text-align: right;
}

header .container nav {
	margin-left: 4px;
	grid-column-start: 2;
	display: flex;
	margin-top: auto;
	margin-bottom: auto;
}

header .container nav > * {
	border-left: 2px solid transparent;
	color: black;
	cursor: pointer;
	margin-right: 12px;
}

/*header .container nav > *:hover {
	border-left: 2px solid var(--primary-color);
	background-color: white;
}
*/
header .container nav a {
	text-decoration: none;
	padding: 4px 8px;
}

header .menu {
	position: relative;
}

header nav .menu > *:nth-child(1) {
	display: inline-block;
	padding: 4px 8px 4px 8px;
	border-left: 3px solid transparent;
	color: black;
}

header nav .menu:hover > *:nth-child(1) {
	border-left: 3px solid var(--primary-color);
	border-bottom: 0px;
	color: black;
	background-color: white;
}

header .menu .dropdown {
	display: none;
	position: absolute;
	min-width: 160px;
	white-space: nowrap;
	box-shadow: 6px 6px 12px rgba(0,0,0,.3);
	z-index: 250;
	text-align: left;
	background-color: white;
	border: 1px solid #f0f0f0;
	left: -2px;
	top: 30px;
	padding-top: 0px;
	padding-bottom: 0px;
	font-size: 12pt;
}

header .menu:hover .dropdown {
	display: block;
}

header .menu .dropdownbutton {
	top: 35px;
	left: 0px;
}

header .menu .dropdown a {
	color: black;
	padding: 4px 12px 4px 12px;
	display: block;
	margin: 4px;
	border-left: 3px solid transparent;
	text-decoration: none;
}

header .menu .dropdown a:hover {
	color: black;
	border-left: 3px solid var(--primary-color);
	background-color: white;
}

header .menu .dropdown div.separator {
	height: 1px;
	background-color: #f0f0f0;
	margin: 4px;
	display: block;
}

header .account button {
	margin: 0px;
	width: 220px;
}

header .menu button span {
	color: white;
}

.logo {
	border: 1px solid #808080;
	padding: 0px;
	display: inline-block;
	height: 80px;
	width: 136px;
	background-color: white;
}

.logo img {
	max-height: 80px;
	max-width: 136px;
	margin: auto auto;
}

header .logo {
	grid-column-start: 1;
	margin: 4px 0px 0px 0px;
}

/* hamburger */
header .hamburger-wrapper {
	position: absolute;
	right: 8px;
	top: 2px;
	display: inline-block;
	border: 1px solid #303030;
	border-radius: 4px;
	margin: 0px;
	width: 35px;
	height: 35px;
	grid-column: 2;
	background-color: white;
}

header .hamburger {
	display: inline-block;
	cursor: pointer;
	height: 23px;
	width: 25px;
	padding: 7px 5px 5px 5px;
}

header .hamburger .bar1, header .hamburger .bar2, header .hamburger .bar3 {
	width: 25px;
	height: 3px;
	background-color: #333333;
	margin: 3px 0;
	transition: 0.4s;
}

header .hamburger.opened .bar1 {
	-webkit-transform: rotate(-45deg) translate(-9px, 6px);
	transform: rotate(-45deg) translate(-4px, 4px);
}

header .hamburger.opened .bar2 {
	opacity: 0;
}

header .hamburger.opened .bar3 {
	-webkit-transform: rotate(45deg) translate(-8px, -8px);
	transform: rotate(45deg) translate(-4px, -5px);
}

#mobile-menu {
	display: none;
	background-color: white;
	border-bottom: 2px solid black;
	padding: 20px 8px 20px 8px;
	position: fixed;
	width: 100%;
	top: 41px;
	z-index: 250;
	grid-template-columns: 1fr 1fr;
}

#mobile-menu a {
	display: block;
	text-decoration: none;
	color: black;
	border-left: 2px solid transparent;
	padding: 12px 8px;
	margin: 4px 20px 4px 0px;
}

#mobile-menu a:hover {
	border-left: 2px solid var(--primary-color);
	background-color: #f0f0f0;
}

#mobile-menu a.account {
	background-color: var(--primary-color);
	color: white;
	border: 1px solid black;
	border-radius: 6px;
}
#mobile-menu a.account i {
	padding-right:8px;
}
#mobile-menu a.account:hover {
	filter: brightness(90%);
}

#mobile-menu div.separator {
	height: 1px;
	background-color: #f0f0f0;
	margin: 4px 20px 4px 4px;
}


/* footer */
footer {
	background-color: #808080;
	min-height: 100px;
	font-size: 13px;
	border-top: 1px solid black;
	margin-top: 20px;
}

footer .logo {
	grid-column-start: 3;
	margin: -4px 0px 0px 10px;
}

footer .disclaimer {
	grid-column-start: 2;
	color: #c0c0c0;
	text-align: center;
	margin: 4px;
	margin-top: auto;
	font-size: 11px;
	line-height: 13px;
}

footer .disclaimer a {
	color: var(--primary-color);
	text-decoration: none;
}

footer .disclaimer a:hover {
	text-decoration: underline;
}

main {
	text-align: justify;
	grid-column: 2;
	min-height: 100vh;
}

article {
	grid-column-start: 2;
	margin-block: 0px 0px;
	margin: 0px;
	padding-top: 20px;
}

article > * {
	margin-left: 4px;
	margin-right: 4px;
}

article a {
	color: black;
	text-decoration: none;
}

article a:hover {
	text-decoration: underline;
}

article h1 {
	border-left: 4px solid black;
	padding-left: 8px;
	padding-top: 0.2em;
	padding-bottom: 0.3em;
	color: var(--primary-color);
}

article h2 {
	margin-block: 1em 0.4em;
	scroll-margin-top: 90px;
}

article h3 {
	border-left: 4px solid var(--primary-color);
	padding-left: 8px;
	padding-top: 0.2em;
	padding-bottom: 0.3em;
	margin-block: 1em 0.4em;
	color: black;
}

article * + h3 {
	margin-block-start: 2.5em;
}

article h4 {
	font-size: 12pt;
	font-weight: bold;
	margin-block: 16px 8px;
}

article p {
	margin-block-start: 0em;
	margin-block-end: 0em;
}

article p + p {
	margin-block-start: 1em;
	margin-block-end: 0em;
}

article ol, article ul {
	margin-block-start: .5em;
	margin-block-end: .5em;
	margin-right: 3em;
}

article li {
	margin-block-start: .5em;
	margin-block-end: .5em;
}

article div.property-grid {
	display: grid;
	grid-template-columns: 120px 1fr;
	row-gap: 4px;
}

article div.property-grid + div.property-grid {
	margin-top: 20px;
}


article div.property-grid .key {
	font-size: 11pt;
	color: #808080;
}

article table.table {
	border: 1px solid gray;
	border-spacing: 0px;
	border-collapse: collapse;
	width: calc(100% - 4px);
	margin-block-start: 1em;
	margin-block-end: 1em;
	max-width: 100%;
}

article table.table td {
	border: 1px solid black;
	padding: 4px;
	vertical-align: top;
	text-align: left;
}

article table.table thead td {
	background-color: #f0f0f0;
	font-weight: bold;
}

article table.table td.info {
	width: 80px;
	background-color: #f0f0f0;
}

article table.table td.error {
	width: 80px;
	background-color: red;
	color: white;
}

article table.table td.warning {
	width: 80px;
	background-color: orange;
}

#popup-overlay {
	position: fixed;
	inset: 0px;
	display: flex;
	justify-content: center;
	align-items: center;
	background: rgba(0, 0, 0, 0.3);
	backdrop-filter: blur(2px);
	z-index: 1000;
	display: none;
}

#popup {
	border: 1px solid black;
	border-radius: 8px;
	background-color: white;
	user-select: none;
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: fit-content;
	max-width: 90vw;
	height: auto;
	max-height: 90vh;
	padding: 12px;
	display: flex;
	flex-direction: column;
}

#popup .title {
	flex-shrink: 0;
	font-size: 14pt;
	font-weight: bold;
	line-height: 1.4em;
	border-bottom: 1px solid #c0c0c0;
	margin-bottom: 8px;
}

#popup .contents {
	min-height: 0;
	overflow-y: auto;
	padding: 8px;
	line-height: 1.6em;
	position: relative;
}

#popup .contents > img.spinner {
	margin: 8px 22px 0px 22px;
}

#popup .buttons {
	flex-shrink: 0;
	text-align: right;
	margin: 4px 0px 0 0;
}

#popup .buttons > * + * {
	margin-left: 4px;
}

.noscroll {
	overflow: hidden;
	padding-right: 16px;
}

#popup input[type=text] {
	font-family: "Segoe UI";
	font-size: 16px;
	width: calc(100% - 12px);
	font-weight: bold;
	margin-left: -4px;
}

#popup select {
	font-family: "Segoe UI";
	font-size: 16px;
	width: calc(60%);
	font-weight: bold;
	margin-left: -4px;
}

input[type=text], input[type=password], select, textarea {
	border: 1px solid #e0e0e0;
	border-radius: 3px;
	font-size: 14px;
	color: black;
}

input[type=text], input[type=password] {
	padding: 5px 4px;
}

input[type=text]:hover, input[type=password]:hover, textarea:hover {
	border: 1px solid #c0c0c0;
}

input[type=text]:focus, input[type=password]:focus {
	border: 1px solid #808080;
	outline: none;
}

input[type=checkbox] {
	cursor: pointer;
}

select {
	outline: 0;
	cursor: pointer;
	width: calc(100% - 78px);
	padding: 4px 4px;
}

select option {
	color: inherit;
	background-color: white;
}

select:hover {
	border: 1px solid #c0c0c0;
}

select:focus {
	border: 1px solid #808080;
	outline: none;
}

select::-ms-expand {
	display: none;
}

button {
	background-color: var(--primary-color);
	border: 1px solid black;
	border-radius: 3px;
	color: white;
	padding: 8px 16px;
	cursor: pointer;
	margin: 4px 0px;
	user-select: none;
	font-size: 11pt;
}

button:hover, button.cancel:hover {
	filter: brightness(90%);
}

button.secondary {
	background-color: #f0f0f0;
	color: black;
}

button:active {
	filter: brightness(100%);
}

button:disabled {
	opacity: 30%;
	pointer-events: none;
}

button.cancel {
	border: 1px solid #c0c0c0;
	background-color: #c0c0c0;
}

button i.fa {
	margin: 0px 6px 0px 0px;
}

#drop-zone {
	border: 5px #c0c0c0 dashed;
	width: 300px;
	height: 160px;
	padding: 4px;
	user-select: none;
	display: grid;
	place-items: center;
	margin: 16px auto;
}

#drop-zone.highlight {
	background-color: #f0f0f0;
}

#drop-zone.highlight img {
	opacity: 10%;
}

#drop-zone.dropped {
	opacity: 0.5;
	display: none;
}

#drop-zone-help {
	width: 300px;
	text-align: center;
}

#drop-zone-help p {
	text-align: center;
	margin-top: 0px;
}

.cards {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	gap: 10px;
	margin-block: 0px;
	margin: 20px;
}

.card {
	border: 1px solid #ccc;
	border-radius: 8px;
	padding: 15px;
	height: 100%;
	box-sizing: border-box;
	text-align: center;
	cursor: pointer;
}

.card:hover {
	border: 1px solid black;
	background-color: #fcfcfc;
}

.card img {
	border: 1px solid black;
	margin-block: 20px 0px;
	width: 150px;
}

.card span {
	display: block;
	font-weight: bold;
	font-size: 13pt;
	margin-block: 12px;
}

.desktop, .tablet, .phone {
	visibility: collapse;
}

.toc {
	position: fixed;
	top: 90px;
	right: calc(50% + 480px);
	bottom: 10px;
	overflow-y: hidden;
	overflow-x: hidden;
	min-width: 250px;
	border-radius: 8px;
	padding: 20px 0px 0px 0px;
}

.toc ul {
	list-style: none;
	padding-left: 0px;
	margin: 0px;
	margin-block: 0px;
}

.toc li {
	padding: 4px;
	font-size: 11pt;
}

.toc > ul > li {
	font-weight: bold;
}

.toc ul ul li {
	border-left: 2px solid #f0f0f0;
	padding-left: 10px;
	margin-left: 6px;
}

.toc a {
	text-decoration: none;
	color: black;
}

.toc a:hover {
	text-decoration: underline;
}


/*phone*/
@media only screen and (max-width:599px) {
	header, footer {
		display: grid;
		grid-template-columns: 0px 1fr 0px;
		grid-gap: 10px;
	}

	header {
		height: 40px;
	}

	header .logo {
		position: absolute;
		left: 8px;
		top: 1px;
	}

	footer .logo {
		position: absolute;
		right: 8px;
		top: 1px;
	}

	article h2 {
		scroll-margin-top: 50px;
	}

	header .container, footer .container {
		grid-column-start: 2;
		display: grid;
		grid-template-columns: 40px 1fr 50px;
		grid-gap: 10px;
	}

	header .container .account {
		display: none;
	}

	main {
		display: grid;
		grid-template-columns: 0px 1fr 0px;
		grid-gap: 10px;
	}

	aside {
		display: none;
	}

	.phone {
		visibility: visible;
	}

	article {
		padding: 0px;
	}

	article table.table {
		margin-left: 4px;
		margin-right: 4px;
		width: calc(100% - 8px);
		border: 0;
	}

	article table.table thead {
		display: none;
	}

	article table.table,
	article table.table tbody,
	article table.table tr,
	article table.table td {
		margin: 0;
		display: block;
		width: 100%;
		box-sizing: border-box;
	}

	article table.table tr {
		margin-bottom: 0.75rem;
		padding: 4px;
		border: 1px solid black;
	}

	article table.table td {
		overflow: hidden;
		border: 0;
		text-align: left;
	}

	.logo {
		width: 70px;
		height: 40px;
	}

	.logo img {
		width: 70px;
		height: 40px;
	}

	.cards {
		grid-template-columns: 1fr;
	}

	.toc {
		display: block;
		position: relative;
		top: inherit;
		right: inherit;
		grid-column-start: 2;
		border: 1px solid black;
		padding: 0px;
		margin: 30px 0px 0px 0px;
	}
}

/* tablet1 */
@media only screen and (min-width:600px) and (max-width:949px) {
	header, footer {
		display: grid;
		grid-template-columns: 0px 1fr 0px;
		grid-gap: 10px;
	}

	header .container, footer .container {
		grid-column-start: 2;
		display: grid;
		grid-template-columns: 90px 1fr 90px;
		grid-gap: 10px;
	}

	main {
		display: grid;
		grid-template-columns: 0px 1fr 0px;
		grid-gap: 10px;
	}

	aside {
		display: none;
	}

	.tablet {
		visibility: visible;
	}

	.cards {
		grid-template-columns: repeat(2, 1fr);
	}
}

/* tablet2 */
@media only screen and (min-width:950px) and (max-width:1141px) {
	header, footer {
		display: grid;
		grid-template-columns: 0px 1fr 0px;
		grid-gap: 10px;
	}

	header .container, footer .container {
		grid-column-start: 2;
		display: grid;
		grid-template-columns: 90px 1fr 90px;
		grid-gap: 10px;
	}

	main {
		display: grid;
		grid-template-columns: 1fr 922px 1fr;
		grid-gap: 10px;
	}

	aside {
		display: none;
	}

	.tablet {
		visibility: visible;
	}

	.cards {
		grid-template-columns: repeat(2, 1fr);
	}
}

/* desktop */
@media only screen and (min-width:1142px) {
	header, footer {
		display: grid;
		grid-template-columns: 1fr 1122px 1fr;
		grid-gap: 10px;
	}

	header .container, footer .container {
		grid-column-start: 2;
		display: grid;
		grid-template-columns: 140px 1fr 220px;
		grid-gap: 10px;
	}

	main {
		display: grid;
		grid-template-columns: 1fr 922px 1fr;
		grid-gap: 0px;
	}

	aside {
	}

	.desktop {
		visibility: visible;
	}
}
